
From: Gerd Knorr <kraxel@bytesex.org>

The patch below makes some functions in drivers/media/video/bttv-risc.c that
currently have no other in-kernel users static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/bttv-risc.c |    8 ++++----
 25-akpm/drivers/media/video/bttvp.h     |   16 ----------------
 2 files changed, 4 insertions(+), 20 deletions(-)

diff -puN drivers/media/video/bttvp.h~bttv-riscc-make-some-functions-static drivers/media/video/bttvp.h
--- 25/drivers/media/video/bttvp.h~bttv-riscc-make-some-functions-static	Fri Nov 19 15:23:37 2004
+++ 25-akpm/drivers/media/video/bttvp.h	Fri Nov 19 15:23:37 2004
@@ -173,22 +173,6 @@ int bttv_risc_packed(struct bttv *btv, s
 		     struct scatterlist *sglist,
 		     unsigned int offset, unsigned int bpl,
 		     unsigned int pitch, unsigned int lines);
-int bttv_risc_planar(struct bttv *btv, struct btcx_riscmem *risc,
-		     struct scatterlist *sglist,
-		     unsigned int yoffset,  unsigned int ybpl,
-		     unsigned int ypadding, unsigned int ylines,
-		     unsigned int uoffset,  unsigned int voffset,
-		     unsigned int hshift,   unsigned int vshift,
-		     unsigned int cpadding);
-int bttv_risc_overlay(struct bttv *btv, struct btcx_riscmem *risc,
-		      const struct bttv_format *fmt,
-		      struct bttv_overlay *ov,
-		      int skip_top, int skip_bottom);
-
-/* calculate / apply geometry settings */
-void bttv_calc_geo(struct bttv *btv, struct bttv_geometry *geo,
-		   int width, int height, int interleaved, int norm);
-void bttv_apply_geo(struct bttv *btv, struct bttv_geometry *geo, int top);
 
 /* control dma register + risc main loop */
 void bttv_set_dma(struct bttv *btv, int override);
diff -puN drivers/media/video/bttv-risc.c~bttv-riscc-make-some-functions-static drivers/media/video/bttv-risc.c
--- 25/drivers/media/video/bttv-risc.c~bttv-riscc-make-some-functions-static	Fri Nov 19 15:23:37 2004
+++ 25-akpm/drivers/media/video/bttv-risc.c	Fri Nov 19 15:23:37 2004
@@ -109,7 +109,7 @@ bttv_risc_packed(struct bttv *btv, struc
 	return 0;
 }
 
-int
+static int
 bttv_risc_planar(struct bttv *btv, struct btcx_riscmem *risc,
 		 struct scatterlist *sglist,
 		 unsigned int yoffset,  unsigned int ybpl,
@@ -227,7 +227,7 @@ bttv_risc_planar(struct bttv *btv, struc
 	return 0;
 }
 
-int
+static int
 bttv_risc_overlay(struct bttv *btv, struct btcx_riscmem *risc,
 		  const struct bttv_format *fmt, struct bttv_overlay *ov,
 		  int skip_even, int skip_odd)
@@ -315,7 +315,7 @@ bttv_risc_overlay(struct bttv *btv, stru
 
 /* ---------------------------------------------------------- */
 
-void
+static void
 bttv_calc_geo(struct bttv *btv, struct bttv_geometry *geo,
 	      int width, int height, int interleaved, int norm)
 {
@@ -363,7 +363,7 @@ bttv_calc_geo(struct bttv *btv, struct b
         }
 }
 
-void
+static void
 bttv_apply_geo(struct bttv *btv, struct bttv_geometry *geo, int odd)
 {
         int off = odd ? 0x80 : 0x00;
_
